#
# spec file for package python-mando
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without  test
Name:           python-mando
Version:        0.6.4
Release:        lp150.1.3
License:        MIT
Summary:        Create Python CLI apps with little to no effort at all!
Url:            https://mando.readthedocs.org/
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/m/mando/mando-%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
%if %{with test}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module six}
%endif
Requires:       python-six
Suggests:       python-rst2ansi
BuildArch:      noarch

%python_subpackages

%description
Mando is a wrapper around argparse, and allows you to write complete CLI
applications in seconds while maintaining all the flexibility.

%prep
%setup -q -n mando-%{version}
sed -i -e '/^#!\//, 1d' mando/tests/*.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Mon Nov  6 2017 toddrme2178@gmail.com
- Spec file cleanups
- rpmlint fixes
* Tue Oct 24 2017 aloisio@gmx.com
- Update to version 0.6.4
- Converted to single-spec
* Fri Oct 14 2016 toddrme2178@gmail.com
- Initial version
